package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class PosisiRahim
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "PosisiRahim_M")
public class PosisiRahimVO extends BaseMasterVO {
	@Caption(value="Kode Posisi Rahim")
	private Byte kdPosisiRahim;

	public void setKdPosisiRahim(Byte kdPosisiRahim) {
		this.kdPosisiRahim = kdPosisiRahim;
	}

	@Column(name = "KdPosisiRahim", nullable = false )
	public Byte getKdPosisiRahim(){
		return this.kdPosisiRahim;
	}

	@Caption(value="Posisi Rahim")
	private String posisiRahim;

	public void setPosisiRahim(String posisiRahim) {
		this.posisiRahim = posisiRahim;
	}

	@Column(name = "PosisiRahim", nullable = false , length = 30)
	public String getPosisiRahim(){
		return this.posisiRahim;
	}

	@Caption(value="QPosisi Rahim")
	private Byte qPosisiRahim;

	public void setqPosisiRahim(Byte qPosisiRahim) {
		this.qPosisiRahim = qPosisiRahim;
	}

	@Column(name = "QPosisiRahim", nullable = false )
	public Byte getqPosisiRahim(){
		return this.qPosisiRahim;
	}


}

